buildr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (BUILDR-653) Using Eclipse compiler (ECJ)
Date Tue, 09 Aug 2016 04:55:20 GMT

    [ https://issues.apache.org/jira/browse/BUILDR-653?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15412934#comment-15412934
] 

ASF GitHub Bot commented on BUILDR-653:
---------------------------------------

GitHub user atoulme opened a pull request:

    https://github.com/apache/buildr/pull/21

    BUILDR-653: Using Eclipse compiler (ECJ)

    Make it easier to use the Eclipse Compiler, and allow to set a custom version.

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/atoulme/buildr BUILDR-653

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/buildr/pull/21.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #21
    
----
commit 491a3c598f8fd986cba610bfe75c213025864ddd
Author: Antoine Toulme <antoine@lunar-ocean.com>
Date:   2016-08-09T04:51:51Z

    BUILDR-653: Using Eclipse compiler (ECJ)
    Make it easier to use the Eclipse Compiler, and allow to set a custom version.

----


> Using Eclipse compiler (ECJ)
> ----------------------------
>
>                 Key: BUILDR-653
>                 URL: https://issues.apache.org/jira/browse/BUILDR-653
>             Project: Buildr
>          Issue Type: Bug
>            Reporter: Niklaus Giger
>            Assignee: Antoine Toulme
>             Fix For: 1.5
>
>
> Alex Boisvert said in http://markmail.org/message/ldlj2tjivn6yfbpg that it should be
possible to use
> Eclipse compiler (ECJ) by default by adding require 'buildr/java/ecj' to the top of the
generated buildfile for consistency between buildr/eclipse builds.
> * This does not work
> * documentation is missing
> * it should be possible to specify an ECJ version



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message